## krdc 25.04.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set (RELEASE_SERVICE_VERSION_MAJOR "25")
set (RELEASE_SERVICE_VERSION_MINOR "04")
set (RELEASE_SERVICE_VERSION_MICRO "3")

set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(krdc VERSION ${RELEASE_SERVICE_VERSION})

set (QT_MIN_VERSION "6.6.0")
set (KF_MIN_VERSION "6.0.0")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(FeatureSummary)
include(ECMDeprecationSettings)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMInstallIcons)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Gui)
if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
    find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
endif()
if (UNIX AND NOT APPLE AND NOT ANDROID)
    find_package(Qt6WaylandClient ${QT_MIN_VERSION} CONFIG)
    set(HAVE_WAYLAND ${Qt6WaylandClient_FOUND})
endif()

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    Config
    KCMUtils
    DNSSD
    NotifyConfig
    Notifications
    Bookmarks
    IconThemes
    XmlGui
    Completion
    Wallet
    WidgetsAddons
    WindowSystem
    NotifyConfig
    I18n
    KIO
    Crash
)

find_package(KF6StatusNotifierItem ${KF_MIN_VERSION} REQUIRED)

find_package(PlasmaActivities)
set_package_properties(PlasmaActivities PROPERTIES DESCRIPTION "KActivities libraries"
                    URL "https://www.kde.org"
                    TYPE OPTIONAL
                    PURPOSE "For tracking which remote desktops are frequently accessed"
                    )
if (PlasmaActivities_FOUND)
    set(HAVE_KACTIVITIES TRUE)
endif()
find_package(KF6DocTools)

find_package(Threads REQUIRED)

# use sane compile flags
add_definitions(
  -DQT_USE_QSTRINGBUILDER
  -DQT_NO_CAST_TO_ASCII
  -DQT_NO_CAST_FROM_ASCII
  -DQT_STRICT_ITERATORS
  -DQT_NO_URL_CAST_FROM_STRING
  -DQT_NO_CAST_FROM_BYTEARRAY
  -DQT_NO_KEYWORDS
  -DQT_NO_FOREACH
)
ecm_setup_version(${RELEASE_SERVICE_VERSION}
    VARIABLE_PREFIX KRDC
    SOVERSION 5
    VERSION_HEADER krdc_version.h
)

if(WIN32)
    set(CMAKE_REQUIRED_LIBRARIES ${KDEWIN32_LIBRARIES})
    set(CMAKE_REQUIRED_INCLUDES  ${KDEWIN32_INCLUDES})
endif(WIN32)

option(WITH_VNC "Enable VNC support." ON)
add_feature_info(VNC WITH_VNC "Building with support for the VNC protocol. Disable with -DWITH_VNC=NO")
option(WITH_RDP "Enable RDP support using FreeRDP" ON)
add_feature_info(RDP WITH_RDP "Building with support for the RDP protocol. Disable with -DWITH_RDP=NO")

ecm_set_disabled_deprecation_versions(QT 5.15.2
     KF 6.5.0
    )


set(CMAKE_CXX_STANDARD 20)

add_subdirectory(core)

if(WITH_VNC)
    find_package(PkgConfig REQUIRED)
    pkg_check_modules(VNCCLIENT libvncclient REQUIRED IMPORTED_TARGET)

    find_package(LibSSH)
    set_package_properties(LibSSH PROPERTIES
        DESCRIPTION "ssh library"
        URL "https://libssh.org/"
        PURPOSE "Needed to build VNC+SSH tunnel support "
        TYPE OPTIONAL
    )
    add_subdirectory(vnc)
endif()

if(WITH_RDP)
    # Workaround https://github.com/FreeRDP/FreeRDP/issues/11072
    if(CMAKE_SYSTEM_NAME MATCHES "FreeBSD|DragonFly")
        list(APPEND CMAKE_PREFIX_PATH /usr/local/share/cmake/Modules/FreeRDP3)
        list(APPEND CMAKE_PREFIX_PATH /usr/local/share/cmake/Modules/FreeRDP-Client3)
        list(APPEND CMAKE_PREFIX_PATH /usr/local/share/cmake/Modules/WinPR3)
    endif()

    find_package(FreeRDP 3 REQUIRED)
    find_package(WinPR 3 REQUIRED)
    find_package(FreeRDP-Client 3 REQUIRED)

    MESSAGE(STATUS "Found FreeRDP version ${FreeRDP_VERSION_MAJOR}.${FreeRDP_VERSION_MINOR}.${FreeRDP_VERSION_REVISION}")

    set_package_properties(FreeRDP PROPERTIES
        DESCRIPTION "A free Remote Desktop Protocol (RDP) Implementation"
        URL "https://www.freerdp.com/"
        PURPOSE "FreeRDP provides RDP support"
        TYPE REQUIRED
    )
    set_package_properties(WinPR PROPERTIES
        DESCRIPTION "Windows Portable Runtime"
        URL "https://www.freerdp.com/"
        PURPOSE "Runtime used by FreeRDP"
        TYPE REQUIRED
    )
    set_package_properties(FreeRDP-Client PROPERTIES
        DESCRIPTION "A free Remote Desktop Protocol (RDP) Implementation, Client libraries"
        URL "https://www.freerdp.com/"
        PURPOSE "FreeRDP provides RDP support"
        TYPE REQUIRED
    )

    add_subdirectory(rdp)
endif()

add_subdirectory(test)

if(KF6DocTools_FOUND)
    add_subdirectory(doc)
else()
    message("KF6DocTools not found. Not building documentation.")
endif()


add_executable(krdc)

target_compile_definitions(krdc PRIVATE -DBUILD_ZEROCONF)

configure_file(config-kactivities.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kactivities.h)

target_sources(krdc PRIVATE
    config/hostpreferenceslist.cpp
    config/preferencesdialog.cpp
    floatingtoolbar.cpp
    bookmarkmanager.cpp
    connectiondelegate.cpp
    remotedesktopsmodel.cpp
    systemtrayicon.cpp
    tabbedviewwidget.cpp
    factorwidget.cpp
    mainwindow.cpp
    main.cpp

    krdc.qrc
)

ki18n_wrap_ui(krdc
    config/general.ui
)

ecm_qt_declare_logging_category(krdc
    HEADER krdc_debug.h
    IDENTIFIER KRDC
    CATEGORY_NAME KRDC
    DESCRIPTION "KRDC"
    EXPORT KRDC
    DEFAULT_SEVERITY Warning
)

target_link_libraries(krdc
    KF6::ConfigCore
    KF6::KCMUtils
    KF6::DNSSD
    KF6::NotifyConfig
    KF6::Bookmarks
    KF6::IconThemes
    KF6::XmlGui
    KF6::Completion
    KF6::WidgetsAddons
    KF6::NotifyConfig
    KF6::Notifications
    KF6::Crash
    krdccore
)

    target_link_libraries(krdc KF6::StatusNotifierItem KF6::BookmarksWidgets)

if (HAVE_KACTIVITIES)
    target_link_libraries(krdc Plasma::Activities)
endif()

install(TARGETS krdc ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS org.kde.krdc.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.krdc.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

ecm_install_icons(
    ICONS sc-apps-krdc.svg
    DESTINATION ${KDE_INSTALL_ICONDIR}
)

find_package(SharedMimeInfo)
if(SharedMimeInfo_FOUND)
    install(FILES org.kde.krdc-mime.xml DESTINATION ${KDE_INSTALL_MIMEDIR})
    update_xdg_mimetypes(${KDE_INSTALL_MIMEDIR})
endif()

ki18n_install(po)
if(KF6DocTools_FOUND)
    kdoctools_install(po)
endif()

ecm_qt_install_logging_categories(
    EXPORT KRDC
    DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}"
)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== core/CMakeLists.txt ===
include(GenerateExportHeader)

add_library(krdccore SHARED)
set_target_properties(krdccore PROPERTIES
    VERSION   ${KRDC_VERSION}
    SOVERSION ${KRDC_SOVERSION}
)

target_sources(krdccore PRIVATE
    remoteviewfactory.cpp
    remoteview.cpp
    hostpreferences.cpp
)

kconfig_add_kcfg_files(krdccore settings.kcfgc)

ecm_qt_declare_logging_category(krdccore
    HEADER krdc_debug.h
    IDENTIFIER KRDC
    CATEGORY_NAME KRDC
)

generate_export_header(krdccore BASE_NAME krdccore)

target_link_libraries(krdccore
    Qt::Core
    KF6::Wallet
    KF6::ConfigCore
    KF6::CoreAddons
    KF6::WidgetsAddons
    KF6::I18n
    KF6::ConfigGui
    KF6::Completion
    Qt::Gui
    Qt::Widgets)

if(HAVE_WAYLAND)
    qt_generate_wayland_protocol_client_sources(krdccore
        FILES
            "${CMAKE_CURRENT_SOURCE_DIR}/keyboard-shortcuts-inhibit-unstable-v1.xml"
    )
    target_sources(krdccore PRIVATE
        waylandinhibition.cpp
    )
    target_compile_definitions(krdccore PUBLIC -DHAVE_WAYLAND)
    target_link_libraries(krdccore Qt::GuiPrivate Qt::WaylandClient)
endif()

install(TARGETS krdccore ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

# Install headers
set(krdccore_HDRS
    remoteviewfactory.h
    remoteview.h
    hostpreferences.h
)

install(FILES ${krdccore_HDRS} DESTINATION ${KDE_INSTALL_INCLUDEDIR}/krdc COMPONENT Devel)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/krdccore_export.h DESTINATION ${KDE_INSTALL_INCLUDEDIR} COMPONENT Devel)
install(FILES krdc.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

=== vnc/CMakeLists.txt ===
add_library(krdc_vncplugin MODULE)

target_sources(krdc_vncplugin PRIVATE
    vnchostpreferences.cpp
    vncclientthread.cpp
    vncviewfactory.cpp
    vncview.cpp
)

ecm_qt_declare_logging_category(krdc_vncplugin
    HEADER krdc_debug.h
    IDENTIFIER KRDC
    CATEGORY_NAME KRDC
)

ki18n_wrap_ui(krdc_vncplugin
    vncpreferences.ui
)

target_link_libraries(krdc_vncplugin
    Qt::Core
    KF6::ConfigCore
    KF6::CoreAddons
    KF6::KCMUtils
    KF6::XmlGui
    Qt::Gui
    PkgConfig::VNCCLIENT
    krdccore
)

if(HAIKU)
    target_link_libraries(krdc_vncplugin network)
endif()

if (LIBSSH_FOUND)
    target_compile_definitions(krdc_vncplugin PRIVATE -DLIBSSH_FOUND)
    target_sources(krdc_vncplugin PRIVATE vncsshtunnelthread.cpp)
    target_include_directories(krdc_vncplugin PRIVATE ${LIBSSH_INCLUDE_DIR})
    target_link_libraries(krdc_vncplugin ${LIBSSH_LIBRARIES})
endif()


add_library(kcm_krdc_vncplugin)

target_sources(kcm_krdc_vncplugin PRIVATE
    vncpreferences.cpp
)

if (LIBSSH_FOUND)
    target_compile_definitions(kcm_krdc_vncplugin PRIVATE -DLIBSSH_FOUND)
endif()

target_link_libraries(kcm_krdc_vncplugin
    Qt::Core
    KF6::Wallet
    KF6::ConfigCore
    KF6::CoreAddons
    KF6::KCMUtils
    KF6::XmlGui
    Qt::Gui
    krdccore
)

add_dependencies(kcm_krdc_vncplugin krdc_vncplugin)

install(TARGETS kcm_krdc_vncplugin DESTINATION ${KDE_INSTALL_PLUGINDIR}/krdc/kcms)
install(TARGETS krdc_vncplugin DESTINATION ${KDE_INSTALL_PLUGINDIR}/krdc)

=== debian/changelog ===
krdc (4:25.04.3-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Rebuild against libplasmaactivities7.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 22 Oct 2025 07:43:56 +0200

krdc (4:25.04.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.3).
    - Show system tray icon at startup if enabled in settings. (kde#505744)
    - VncView: focus the view on successful connection. (kde#503115)
    - Rdp: rework handling for some error messages.
    - Let Mainwindow publish error messages from views.
    - Rdp host preferences: correctly load sound preferences. (kde#493602)
    - Avoid crash when the main window is outside of any screen.
  * Backport upstream commits:
    - Fix invisible mouse cursor after toggling off "view only". [8b8dce4c]
    - Fix remote modifier keys state not synced with local state. [1b11b2e3]
    (kde#349813)

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 24 Jul 2025 09:00:16 +0200

## krdc 25.07.80

=== debian/changelog ===
krdc (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:19:14 +0100

krdc (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:50:53 +0100

## krdc 25.07.90

=== debian/changelog ===
krdc (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:54:46 +0100

## krdc 25.08.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.16)
 
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "04")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
 
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
@@ -95,26 +95,35 @@
 option(WITH_RDP "Enable RDP support using FreeRDP" ON)
 add_feature_info(RDP WITH_RDP "Building with support for the RDP protocol. Disable with -DWITH_RDP=NO")
 
-ecm_set_disabled_deprecation_versions(QT 5.15.2
-     KF 6.5.0
+ecm_set_disabled_deprecation_versions(QT 6.8
+     KF 6.12
     )
 
 
 set(CMAKE_CXX_STANDARD 20)
+
+find_package(LibSSH)
+set_package_properties(LibSSH PROPERTIES
+    DESCRIPTION "ssh library"
+    URL "https://libssh.org/"
+    PURPOSE "Needed to build SSH tunnel support "
+    TYPE OPTIONAL
+)
 
 add_subdirectory(core)
 
 if(WITH_VNC)
     find_package(PkgConfig REQUIRED)
-    pkg_check_modules(VNCCLIENT libvncclient REQUIRED IMPORTED_TARGET)
-
-    find_package(LibSSH)
-    set_package_properties(LibSSH PROPERTIES
-        DESCRIPTION "ssh library"
-        URL "https://libssh.org/"
-        PURPOSE "Needed to build VNC+SSH tunnel support "
-        TYPE OPTIONAL
-    )
+    pkg_check_modules(VNCCLIENT libvncclient>=0.9.15 QUIET IMPORTED_TARGET)
+    if(VNCCLIENT_FOUND)
+        add_definitions(-DSUPPORT_UTF8_CLIPBOARD=1)
+        message(STATUS "Found libvncclient version ${VNCCLIENT_VERSION}")
+    else()
+        pkg_check_modules(VNCCLIENT libvncclient REQUIRED IMPORTED_TARGET)
+        add_definitions(-DSUPPORT_UTF8_CLIPBOARD=0)
+        message(WARNING "UTF-8 clipboard requires libvncclient>=0.9.15 (found ${VNCCLIENT_VERSION})")
+    endif()
+
     add_subdirectory(vnc)
 endif()

=== debian/changelog ===
krdc (4:25.08.0-0zneon+24.04+noble+release+build21) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 15 Aug 2025 00:06:34 +0000

krdc (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 14:15:02 +0000

krdc (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 12:42:30 +0000

krdc (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 11:45:35 +0000

krdc (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 05:31:16 +0000

krdc (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 12:43:18 +0000

krdc (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 15:08:06 +0000

krdc (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 15:45:45 +0000

krdc (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 20:37:32 +0000

krdc (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:33:06 +0000

krdc (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 11:47:49 +0000

krdc (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:20:20 +0000

krdc (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 08:50:59 +0000

krdc (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 12:48:28 +0000

krdc (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:26:04 +0000

krdc (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:52:31 +0000

krdc (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:35:28 +0000

krdc (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:26:05 +0000

krdc (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:05:53 +0000

krdc (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2023 07:53:49 +0000

krdc (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:39:59 +0000

krdc (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 23:23:26 +0000

krdc (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:11:51 +0000

krdc (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Jul 2023 12:05:18 +0000

krdc (4:23.04.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 22:44:35 +0000

krdc (4:23.04.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 19:05:49 +0000

krdc (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:34:32 +0000

krdc (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 18:10:12 +0000

krdc (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 16:46:05 +0000

krdc (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:52:58 +0000

krdc (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 10:14:43 +0000

krdc (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Sep 2022 10:10:11 +0000

krdc (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 10:15:33 +0000

krdc (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 13:03:12 +0000

krdc (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:25:48 +0000

krdc (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 14:19:36 +0000

krdc (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 13:31:50 +0000

krdc (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 12:05:26 +0000

krdc (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Jan 2022 10:57:22 +0000

krdc (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 23:15:10 +0000

krdc (4:21.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Oct 2021 14:56:24 +0000

krdc (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:34:00 +0000

krdc (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Aug 2021 12:21:49 +0000

krdc (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:58:27 +0000

krdc (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 08:27:38 +0000

krdc (4:21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:58:23 +0000

krdc (4:21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:25:43 +0000

krdc (4:20.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Mar 2021 13:03:54 +0000



## krdc 25.08.1

=== core/CMakeLists.txt ===
--- 
+++ 
@@ -46,6 +46,19 @@
     target_link_libraries(krdccore Qt::GuiPrivate Qt::WaylandClient)
 endif()
 
+if (LIBSSH_FOUND)
+    target_compile_definitions(krdccore PUBLIC -DLIBSSH_FOUND)
+    target_sources(krdccore PRIVATE
+        sshtunnelthread.cpp
+        sshtunnelwidget.cpp
+    )
+    ki18n_wrap_ui(krdccore
+        sshtunnelwidget.ui
+    )
+    target_include_directories(krdccore PRIVATE ${LIBSSH_INCLUDE_DIR})
+    target_link_libraries(krdccore ${LIBSSH_LIBRARIES})
+endif()
+
 install(TARGETS krdccore ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
 
 # Install headers

=== test/CMakeLists.txt ===
if(NOT NDEBUG)
    set(BUILD_TEST true)
endif()

if(NOT BUILD_TEST)
    return()
endif()

add_library(krdc_testplugin MODULE)

target_sources(krdc_testplugin PRIVATE
    testviewfactory.cpp
    testview.cpp
)

target_link_libraries(krdc_testplugin
    Qt::Core
    KF6::Wallet
    KF6::ConfigCore
    KF6::I18n
    KF6::CoreAddons
    Qt::Gui
    krdccore
)

install(TARGETS krdc_testplugin DESTINATION ${KDE_INSTALL_PLUGINDIR}/krdc)

=== vnc/qtonly/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set (RELEASE_SERVICE_VERSION_MAJOR "23")
set (RELEASE_SERVICE_VERSION_MINOR "11")
set (RELEASE_SERVICE_VERSION_MICRO "70")

set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(krdc-vnc-qtonly VERSION ${RELEASE_SERVICE_VERSION})

set (QT_MIN_VERSION "6.2.0")
set (CMAKE_PREFIX_PATH "/usr/lib/x86_64-linux-gnu/qt6")

find_package(ECM REQUIRED NO_MODULE)
set (CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/../../cmake/modules ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(FeatureSummary)
include(ECMDeprecationSettings)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Gui Widgets)

find_package(PkgConfig REQUIRED)
pkg_check_modules(VNCCLIENT libvncclient>=0.9.15 QUIET IMPORTED_TARGET)
if(VNCCLIENT_FOUND)
    add_definitions(-DSUPPORT_UTF8_CLIPBOARD=1)
    message(STATUS "Found libvncclient version ${VNCCLIENT_VERSION}")
else()
    pkg_check_modules(VNCCLIENT libvncclient REQUIRED IMPORTED_TARGET)
    add_definitions(-DSUPPORT_UTF8_CLIPBOARD=0)
    message(WARNING "UTF-8 clipboard requires libvncclient>=0.9.15 (found ${VNCCLIENT_VERSION})")
endif()

add_executable(krdc-vnc-qtonly)

target_compile_definitions(krdc-vnc-qtonly PRIVATE QTONLY)

target_include_directories(krdc-vnc-qtonly PRIVATE
    ..
    ../../core
)

ecm_qt_declare_logging_category(krdc-vnc-qtonly
    HEADER krdc_debug.h
    IDENTIFIER KRDC
    CATEGORY_NAME KRDC
    DESCRIPTION "KRDC"
    EXPORT KRDC
)

target_link_libraries(krdc-vnc-qtonly
    Qt::Core
    Qt::Gui
    Qt::Widgets
    PkgConfig::VNCCLIENT
)

target_sources(krdc-vnc-qtonly PRIVATE
    ../../core/remoteview.cpp
    ../vncview.cpp
    ../vncclientthread.cpp
    krdc_debug.cpp
    main.cpp
)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
krdc (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:56:40 +0100

krdc (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:27:40 +0100

=== debian/control ===
Source: krdc
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.0.0~),
               freerdp3-dev (>= 3~),
               gettext,
               libkf6bookmarks-dev (>= 6.0.0~),
               libkf6completion-dev (>= 6.0.0~),
               libkf6config-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6dnssd-dev (>= 6.0.0~),
               libkf6doctools-dev,
               libkf6i18n-dev (>= 6.0.0~),
               libkf6iconthemes-dev (>= 6.0.0~),
               libkf6kcmutils-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libkf6notifications-dev (>= 6.0.0~),
               libkf6notifyconfig-dev (>= 6.0.0~),
               libkf6statusnotifieritem-dev (>= 6.0.0~),
               libkf6wallet-dev (>= 6.0.0~),
               libkf6widgetsaddons-dev (>= 6.0.0~),
               libkf6windowsystem-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               libplasmaactivities-dev,
               libssh-dev,
               libvncserver-dev (>= 0.9.8.1),
               libwinpr3-dev (>= 3~),
               pkgconf,
               qt6-base-dev (>= 6.6.0~),
               qt6-base-private-dev,
               qt6-wayland-dev (>= 6.6.0~),
               shared-mime-info,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://apps.kde.org/krdc/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krdc
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krdc

Package: krdc
Section: net
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: freerdp3-wayland | freerdp3-x11,
Suggests: khelpcenter, krfb,
Description: Remote Desktop Connection client
 The KDE Remote Desktop Connection client can view and control a desktop
 session running on another system.  It can connect to Windows Terminal Servers
 using RDP and many other platforms using VNC/RFB.
 .
 This package is part of the KDE networking module.

## krdc 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MICRO "2")
 
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== rdp/CMakeLists.txt ===
add_library(krdc_rdpplugin MODULE)

target_sources(krdc_rdpplugin PRIVATE
    rdpcliprdr.cpp
    rdpdisp.cpp
    rdpgraphics.cpp
    rdphostpreferences.cpp
    rdpviewfactory.cpp
    rdpview.cpp
    rdpsession.cpp
)

ki18n_wrap_ui(krdc_rdpplugin
    rdppreferences.ui
)

ecm_qt_declare_logging_category(krdc_rdpplugin
    HEADER krdc_debug.h
    IDENTIFIER KRDC
    CATEGORY_NAME KRDC
)

target_include_directories(krdc_rdpplugin PUBLIC ${FreeRDP_INCLUDE_DIR} ${WinPR_INCLUDE_DIR})

target_link_libraries(krdc_rdpplugin
    Qt::Core
    Qt::Gui
    KF6::ConfigCore
    KF6::CoreAddons
    KF6::KCMUtils
    KF6::WindowSystem
    KF6::XmlGui
    KF6::KIOWidgets
    Threads::Threads
    krdccore
    freerdp
    freerdp-client
    winpr
)

add_library(kcm_krdc_rdpplugin)

target_sources(kcm_krdc_rdpplugin PRIVATE
    rdppreferences.cpp
)

target_link_libraries(kcm_krdc_rdpplugin
    Qt::Core
    Qt::Gui
    KF6::Wallet
    KF6::ConfigCore
    KF6::CoreAddons
    KF6::KCMUtils
    KF6::XmlGui
    KF6::KIOWidgets
    krdccore
)

if(HAIKU)
    target_link_libraries(kcm_krdc_rdpplugin network)
endif()

add_dependencies(kcm_krdc_rdpplugin krdc_rdpplugin)

install(TARGETS kcm_krdc_rdpplugin DESTINATION ${KDE_INSTALL_PLUGINDIR}/krdc/kcms)
install(TARGETS krdc_rdpplugin DESTINATION ${KDE_INSTALL_PLUGINDIR}/krdc)

# install(FILES smb2rdc.desktop DESTINATION ${KDE_INSTALL_DATADIR}/kio/servicemenus)

=== debian/changelog ===
krdc (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:52:09 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

execute_after_dh_auto_install:
	# Drop development files
	rm -rf debian/krdc/usr/include/
	find debian/krdc -name '*.so' -type l -delete

## krdc 25.08.2+p24.04+vstable+git20251015.1458

=== debian/changelog ===
krdc (4:25.08.2+p24.04+vstable+git20251015.1458-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 14:58:03 +0000

krdc (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 05:31:51 +0000

krdc (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 10:47:36 +0000

## krdc 25.08.2+p24.04+vstable+git20251019.0526

=== debian/changelog ===
krdc (4:25.08.2+p24.04+vstable+git20251019.0526-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 05:26:09 +0000

=== debian/control ===
Source: krdc
Section: kde
Priority: optional
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               freerdp3-dev,
               freerdp3-wayland,
               freerdp3-x11,
               kf6-extra-cmake-modules,
               kf6-kbookmarks-dev,
               kf6-kcmutils-dev,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kdnssd-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-knotifications-dev,
               kf6-knotifyconfig-dev,
               kf6-kstatusnotifieritem-dev,
               kf6-kwallet-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kxmlgui-dev,
               libfreerdp-client2-2,
               libfreerdp2-2,
               libssh-dev,
               libvncserver-dev,
               pkg-kde-tools-neon,
               plasma-activities-dev
Standards-Version: 4.6.2
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/krdc.git
Vcs-Browser: https://invent.kde.org/neon/kde/krdc
Maintainer: Neon CI <neon@kde.org>

Package: krdc
Section: net
Architecture: any
Depends: freerdp3-wayland, freerdp3-x11, ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter, krfb
Description: Remote Desktop Connection client
 The KDE Remote Desktop Connection client can view and control a desktop
 session running on another system.  It can connect to Windows Terminal Servers
 using RDP and many other platforms using VNC/RFB.
 .
 This package is part of the KDE networking module.

## krdc 25.08.2+p24.04+vstable+git20251031.0903

=== debian/changelog ===
krdc (4:25.08.2+p24.04+vstable+git20251031.0903-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 09:03:58 +0000

## krdc 25.08.2+p24.04+vunstable+git20251022.0244

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.16)
 
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "2")
+set (RELEASE_SERVICE_VERSION_MINOR "11")
+set (RELEASE_SERVICE_VERSION_MICRO "70")
 
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
@@ -51,19 +51,11 @@
     I18n
     KIO
     Crash
+    GuiAddons
 )
 
 find_package(KF6StatusNotifierItem ${KF_MIN_VERSION} REQUIRED)
 
-find_package(PlasmaActivities)
-set_package_properties(PlasmaActivities PROPERTIES DESCRIPTION "KActivities libraries"
-                    URL "https://www.kde.org"
-                    TYPE OPTIONAL
-                    PURPOSE "For tracking which remote desktops are frequently accessed"
-                    )
-if (PlasmaActivities_FOUND)
-    set(HAVE_KACTIVITIES TRUE)
-endif()
 find_package(KF6DocTools)
 
 find_package(Threads REQUIRED)
@@ -175,8 +167,6 @@
 add_executable(krdc)
 
 target_compile_definitions(krdc PRIVATE -DBUILD_ZEROCONF)
-
-configure_file(config-kactivities.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kactivities.h)
 
 target_sources(krdc PRIVATE
     config/hostpreferenceslist.cpp
@@ -225,12 +215,10 @@
 
     target_link_libraries(krdc KF6::StatusNotifierItem KF6::BookmarksWidgets)
 
-if (HAVE_KACTIVITIES)
-    target_link_libraries(krdc Plasma::Activities)
-endif()
-
 install(TARGETS krdc ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
-install(PROGRAMS org.kde.krdc.desktop DESTINATION ${KDE_INSTALL_APPDIR})
+configure_file(org.kde.krdc.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/org.kde.krdc.desktop @ONLY)
+
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.krdc.desktop DESTINATION ${KDE_INSTALL_APPDIR})
 install(FILES org.kde.krdc.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 
 ecm_install_icons(

=== debian/changelog ===
krdc (4:25.08.2+p24.04+vunstable+git20251022.0244-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 22 Oct 2025 02:44:39 +0000

## krdc 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.16)
 
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "70")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
@@ -51,11 +51,19 @@
     I18n
     KIO
     Crash
-    GuiAddons
 )
 
 find_package(KF6StatusNotifierItem ${KF_MIN_VERSION} REQUIRED)
 
+find_package(PlasmaActivities)
+set_package_properties(PlasmaActivities PROPERTIES DESCRIPTION "KActivities libraries"
+                    URL "https://www.kde.org"
+                    TYPE OPTIONAL
+                    PURPOSE "For tracking which remote desktops are frequently accessed"
+                    )
+if (PlasmaActivities_FOUND)
+    set(HAVE_KACTIVITIES TRUE)
+endif()
 find_package(KF6DocTools)
 
 find_package(Threads REQUIRED)
@@ -167,6 +175,8 @@
 add_executable(krdc)
 
 target_compile_definitions(krdc PRIVATE -DBUILD_ZEROCONF)
+
+configure_file(config-kactivities.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kactivities.h)
 
 target_sources(krdc PRIVATE
     config/hostpreferenceslist.cpp
@@ -215,10 +225,12 @@
 
     target_link_libraries(krdc KF6::StatusNotifierItem KF6::BookmarksWidgets)
 
+if (HAVE_KACTIVITIES)
+    target_link_libraries(krdc Plasma::Activities)
+endif()
+
 install(TARGETS krdc ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
-configure_file(org.kde.krdc.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/org.kde.krdc.desktop @ONLY)
-
-install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.krdc.desktop DESTINATION ${KDE_INSTALL_APPDIR})
+install(PROGRAMS org.kde.krdc.desktop DESTINATION ${KDE_INSTALL_APPDIR})
 install(FILES org.kde.krdc.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 
 ecm_install_icons(

=== vnc/CMakeLists.txt ===
--- 
+++ 
@@ -32,23 +32,11 @@
     target_link_libraries(krdc_vncplugin network)
 endif()
 
-if (LIBSSH_FOUND)
-    target_compile_definitions(krdc_vncplugin PRIVATE -DLIBSSH_FOUND)
-    target_sources(krdc_vncplugin PRIVATE vncsshtunnelthread.cpp)
-    target_include_directories(krdc_vncplugin PRIVATE ${LIBSSH_INCLUDE_DIR})
-    target_link_libraries(krdc_vncplugin ${LIBSSH_LIBRARIES})
-endif()
-
-
 add_library(kcm_krdc_vncplugin)
 
 target_sources(kcm_krdc_vncplugin PRIVATE
     vncpreferences.cpp
 )
-
-if (LIBSSH_FOUND)
-    target_compile_definitions(kcm_krdc_vncplugin PRIVATE -DLIBSSH_FOUND)
-endif()
 
 target_link_libraries(kcm_krdc_vncplugin
     Qt::Core

=== debian/changelog ===
krdc (4:25.08.3-0zneon+24.04+noble+release+build26) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 18:44:37 +0000

krdc (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:44:11 +1000

## krdc 25.08.3+p24.04+vunstable+git20251123.1150

=== debian/changelog ===
krdc (4:25.08.3+p24.04+vunstable+git20251123.1150-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 11:50:52 +0000

## krdc 25.08.3+p24.04+vunstable+git20251204.0551

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.16)
 
-set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MAJOR "26")
+set (RELEASE_SERVICE_VERSION_MINOR "03")
+set (RELEASE_SERVICE_VERSION_MICRO "70")
 
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
@@ -51,19 +51,11 @@
     I18n
     KIO
     Crash
+    GuiAddons
 )
 
 find_package(KF6StatusNotifierItem ${KF_MIN_VERSION} REQUIRED)
 
-find_package(PlasmaActivities)
-set_package_properties(PlasmaActivities PROPERTIES DESCRIPTION "KActivities libraries"
-                    URL "https://www.kde.org"
-                    TYPE OPTIONAL
-                    PURPOSE "For tracking which remote desktops are frequently accessed"
-                    )
-if (PlasmaActivities_FOUND)
-    set(HAVE_KACTIVITIES TRUE)
-endif()
 find_package(KF6DocTools)
 
 find_package(Threads REQUIRED)
@@ -175,8 +167,6 @@
 add_executable(krdc)
 
 target_compile_definitions(krdc PRIVATE -DBUILD_ZEROCONF)
-
-configure_file(config-kactivities.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kactivities.h)
 
 target_sources(krdc PRIVATE
     config/hostpreferenceslist.cpp
@@ -225,12 +215,10 @@
 
     target_link_libraries(krdc KF6::StatusNotifierItem KF6::BookmarksWidgets)
 
-if (HAVE_KACTIVITIES)
-    target_link_libraries(krdc Plasma::Activities)
-endif()
-
 install(TARGETS krdc ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
-install(PROGRAMS org.kde.krdc.desktop DESTINATION ${KDE_INSTALL_APPDIR})
+configure_file(org.kde.krdc.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/org.kde.krdc.desktop @ONLY)
+
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.krdc.desktop DESTINATION ${KDE_INSTALL_APPDIR})
 install(FILES org.kde.krdc.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 
 ecm_install_icons(

=== debian/changelog ===
krdc (4:25.08.3+p24.04+vunstable+git20251204.0551-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 05:51:38 +0000

## krdc 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.16)
 
-set (RELEASE_SERVICE_VERSION_MAJOR "26")
-set (RELEASE_SERVICE_VERSION_MINOR "03")
-set (RELEASE_SERVICE_VERSION_MICRO "70")
+set (RELEASE_SERVICE_VERSION_MAJOR "25")
+set (RELEASE_SERVICE_VERSION_MINOR "11")
+set (RELEASE_SERVICE_VERSION_MICRO "80")
 
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== core/CMakeLists.txt ===
--- 
+++ 
@@ -31,6 +31,7 @@
     KF6::I18n
     KF6::ConfigGui
     KF6::Completion
+    KF6::GuiAddons
     Qt::Gui
     Qt::Widgets)

=== debian/changelog ===
krdc (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:55:07 +0000

krdc (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:17:34 +0000

## krdc 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "80")
+set (RELEASE_SERVICE_VERSION_MICRO "90")
 
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== debian/changelog ===
krdc (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:11:38 +0000

## krdc 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.16)
 
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "90")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
 
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== debian/changelog ===
krdc (4:25.12.0-0zneon+24.04+noble+release+build28) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 23:11:23 +0000

krdc (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:40:39 +1000

## krdc 25.12.0+p24.04+vstable+git20251215.0334

=== debian/changelog ===
krdc (4:25.12.0+p24.04+vstable+git20251215.0334-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 15 Dec 2025 03:34:47 +0000

## krdc 25.12.0+p24.04+vstable+git20260105.0912

=== debian/changelog ===
krdc (4:25.12.0+p24.04+vstable+git20260105.0912-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 09:12:49 +0000

## krdc 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== debian/changelog ===
krdc (4:25.12.1-1ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 22:23:50 +0000

krdc (4:25.12.1-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 19 Jan 2026 17:21:30 +0000

krdc (4:25.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Drop patches applied upstream.
  * Switch to debian/watch format version 5.
  * Add/update Heiko Becker’s key in upstream keyring.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 17 Jan 2026 09:54:26 +0100

krdc (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:11:34 +0000

krdc (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:29:50 +0000

=== debian/control ===
Source: krdc
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.0.0~),
               freerdp3-dev (>= 3~),
               gettext,
               libkf6bookmarks-dev (>= 6.0.0~),
               libkf6completion-dev (>= 6.0.0~),
               libkf6config-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6dnssd-dev (>= 6.0.0~),
               libkf6doctools-dev,
               libkf6guiaddons-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6iconthemes-dev (>= 6.0.0~),
               libkf6kcmutils-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libkf6notifications-dev (>= 6.0.0~),
               libkf6notifyconfig-dev (>= 6.0.0~),
               libkf6statusnotifieritem-dev (>= 6.0.0~),
               libkf6wallet-dev (>= 6.0.0~),
               libkf6widgetsaddons-dev (>= 6.0.0~),
               libkf6windowsystem-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               libplasmaactivities-dev,
               libssh-dev,
               libvncserver-dev (>= 0.9.8.1),
               libwinpr3-dev (>= 3~),
               pkgconf,
               qt6-base-dev (>= 6.6.0~),
               qt6-base-private-dev,
               qt6-wayland-dev (>= 6.6.0~),
               shared-mime-info,
Standards-Version: 4.7.3
Homepage: https://apps.kde.org/krdc/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krdc
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krdc

Package: krdc
Section: net
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Recommends: freerdp3-wayland | freerdp3-x11,
Suggests: khelpcenter,
          krfb,
Description: Remote Desktop Connection client
 The KDE Remote Desktop Connection client can view and control a desktop
 session running on another system.  It can connect to Windows Terminal Servers
 using RDP and many other platforms using VNC/RFB.
 .
 This package is part of the KDE networking module.

## krdc 25.12.1+p24.04+vstable+git20260106.1542

=== debian/changelog ===
krdc (4:25.12.1+p24.04+vstable+git20260106.1542-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 15:42:49 +0000

krdc (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:31:34 +1000

## krdc 25.12.1+p24.04+vstable+git20260129.0057

=== debian/changelog ===
krdc (4:25.12.1+p24.04+vstable+git20260129.0057-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 00:57:03 +0000

## krdc 25.12.1+p24.04+vstable+git20260131.0442

=== debian/changelog ===
krdc (4:25.12.1+p24.04+vstable+git20260131.0442-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 04:42:40 +0000

## krdc 25.12.1+p24.04+vunstable+git20260131.0248

=== debian/changelog ===
krdc (4:25.12.1+p24.04+vunstable+git20260131.0248-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 02:48:57 +0000
